<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Fibonacci Numbers</title>
</head>
<body>
    <script>

//        let n = +prompt("Enter the number");
//        while (isNaN(n)) {
//            n = +prompt("Enter the number, please");
//        };
//
//        function fib(n) {
//            let f0 = 0;
//            let f1 = 1;
//        for (let i = 2; i <= n; i++) {
//            let f2 = f0 + f1;
//            f0 = f1;
//            f1 = f2;
//        };
//        return f1;
//        };
//
//        alert( fib(n) );
//
//
        let f0 = 1;
        let f1 = 1;

        let n = +prompt("Enter any simple number");
        while (!Number.isInteger(n)) {
            n = +prompt("Please, enter any simple number");
        };

        function fib (f0, f1, n) {
                let f2 = null;
            if (Math.abs(n) == 1) f2 = f0;
            else if (Math.abs(n) == 2) f2 =f1;
                else if (n > 0) {
                    for (let i = 2; i < n; i++) {
                    f2 = f0 + f1;
                    f0 = f1;
                    f1 = f2;
                }
            }
                else {
                    for (let i = 2; i < Math.abs(n); i++) {
                    f2 = f0 - f1;
                    f0 = f1;
                    f1 = f2;
                }
            }
            return f2;
        }

        alert ( fib(f0,f1,n) );
    </script>
</body>
</html>
